Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.cpp	(revision 2110)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.cpp	(revision 2111)
@@ -1,503 +1,60 @@
 #include "ObjReader.h"
-#include <string>
-#include <stdlib.h>
-#include <sstream>
-
-IVMeshListNode *IVReader::meshList = NULL;
-int IVReader::instanceCnt = 0;
-Ogre::Log *IVReader::IVLog = NULL;
-
-
-
-IVMeshListNode::IVMeshListNode(std::string name, IVManualMeshLoader *loader)
-{
-	this->name = name;
-	this->loader = loader;
-	next = NULL;
-}
-
-IVMeshListNode::~IVMeshListNode()
-{
-	if (loader != NULL) delete loader;
-}
-
-void IVMeshListNode::attachNewNode(std::string name, IVManualMeshLoader *loader)
-{
-	IVMeshListNode *help = this;
-
-	while (help->next != NULL) help = help->next;
-	help->next = new IVMeshListNode(name, loader);
-}
-
-IVManualMeshLoader *IVMeshListNode::getManualMeshLoader(std::string name)
-{
-	IVMeshListNode *help = this;
-	if (help->name == name) return help->loader;
-	while (help->next != NULL) 
-	{
-		help = help->next;
-		if (help->name == name) return help->loader;
-	}
-	return NULL;
-}
-
-IVDefListNode::IVDefListNode(std::string name, IVNode *node)
-{
-	this->name = name;
-	this->node = node;
-	next = NULL;
-}
-
-IVDefListNode::~IVDefListNode()
-{
-}
-
-void IVDefListNode::attachNewNode(std::string name, IVNode *node)
-{
-	IVDefListNode *help = this;
-
-	while (help->next != NULL) help = help->next;
-	help->next = new IVDefListNode(name, node);
-}
-
-IVNode *IVDefListNode::getDef(std::string name)
-{
-	IVDefListNode *help = this;
-	if (help->name == name) return help->node;
-	while (help->next != NULL) 
-	{
-		help = help->next;
-		if (help->name == name) return help->node;
-	}
-	return NULL;
-}
-
-IVReader::IVReader()
-{	
-	root = NULL; meshList = NULL; defList = NULL; fileName = NULL;
-	instanceCnt++;
-	IVLog = NULL;
-}
-
-IVReader::~IVReader()
-{
-	collapse();
-
-	instanceCnt--;
-	if (instanceCnt == 0) if (meshList != NULL) 
-	{	
-		IVMeshListNode *help = meshList, *delme = NULL;
-		while (help->next != NULL)
-		{
-			delme = help; help = help->next; delete delme;
-		}
-		delete help;
-	}
-}
-
-void IVReader::collapse()
-{
-	if (root != NULL) {	delete root; root = NULL; }
-	if (defList != NULL)
-	{	
-		IVDefListNode *help = defList, *delme = NULL;
-		while (help->next != NULL)
-		{
-			delme = help; help = help->next; delete delme;
-		}
-		delete help;
-		defList = NULL;
-	}
-	if (this->fileName != NULL) { delete [] this->fileName; this->fileName = NULL; }
-
-}
-
-void IVReader::setLog(Ogre::Log *IVLog)
-{
-	this->IVLog = IVLog;
-}
-
-std::string IVReader::intToStr(int num)
-{
-	std::ostringstream myStream; 
-	myStream << num;
-	myStream.flush();
-	
-	return(myStream.str());
-}
-
-std::string IVReader::realToStr(Ogre::Real num)
-{
-	std::ostringstream myStream; 
-	myStream << num;
-	myStream.flush();
-	
-	return(myStream.str());
-}
-
-bool IVReader::loadFile(const char* fileName)
-{
-	std::string message = "trying to load "; message = message + fileName + "...";
-	
-	if (IVLog != NULL) 
-		IVLog->logMessage(message);
-	
-	collapse();
-	this->fileName = new char[strlen(fileName)+1]; strcpy(this->fileName, fileName);
-	treeCnt = 0;
-
-    infile = fopen(fileName, "r"); root = NULL;
-
-	if (infile == NULL)
-	{
-		message = "! Error loading File "; message = message + fileName + " !";
-		if (IVLog != NULL) IVLog->logMessage(message);
+#include "gzstream.h"
+#include "Triangle3.h"
+
+
+ObjReader::ObjReader()
+{}
+
+ObjReader::~ObjReader()
+{}
+
+
+bool ObjReader::LoadFile(const string &filename,
+						 TriangleContainer &triangles) const
+{
+	igzstream samplesIn(filename.c_str());
+	
+	if (!samplesIn.is_open())
 		return false;
-	}
-
-	if ((fgets(buf, BUFFERSIZE, infile) == NULL) && !feof(infile)) 
-	{
-		message = "! Error loading File "; message = message + fileName + " !";
-		if (IVLog != NULL) IVLog->logMessage(message);
-		fclose(infile);
-		return false;
-	}
-
-	if (!checkHeader(buf)) 
-	{
-		message = "! Invalid Header !";
-		if (IVLog != NULL) IVLog->logMessage(message);
-		fclose(infile);
-		return false;
-	}
-
-	IVTokenType tmptyp = IV_TOKEN_INVALID;
-	eof = false;	
-
-	bufOffset = 0;
-	char token[BUFFERSIZE] = "\0", oldtoken[BUFFERSIZE] = "\0", fieldtoken[BUFFERSIZE] = "\0";
-	int level = 0; 
-
-	while (getNextElement(token, &tmptyp)) 
-	{
-		if (tmptyp == IV_TOKEN_BRACEOPEN) 
-		{
-			root = new IVNode(oldtoken);
-			level++;
+	
+	// read in triangle size
+	int numTriangles;
+
+	samplesIn.read(reinterpret_cast<char *>(&numTriangles), sizeof(int));
+	triangles.reserve(numTriangles);
+	
+	while (1)
+	{
+		GtpVisibilityPreprocessor::Triangle3 *tri = 
+			new GtpVisibilityPreprocessor::Triangle3();
+		
+		samplesIn.read(reinterpret_cast<char *>((*tri).mVertices + 0), 
+					   sizeof(GtpVisibilityPreprocessor::Vector3));
+		samplesIn.read(reinterpret_cast<char *>((*tri).mVertices + 1), 
+					   sizeof(GtpVisibilityPreprocessor::Vector3));
+		samplesIn.read(reinterpret_cast<char *>((*tri).mVertices + 2), 
+					   sizeof(GtpVisibilityPreprocessor::Vector3));
+
+		// end of file reached
+		if (samplesIn.eof())
 			break;
-		}
-
-		strcpy(oldtoken, token);
-	}
-
-	IVNode *actualNode = root, *parent = root, *fieldNode = root, *newNode = NULL;
-	IVTokenType oldtmptyp = tmptyp;
-	bool textfield = false, realfield = false; IVType fieldtyp = IV_INVALID;
-	bool def = false; std::string defLabel;
-	Ogre::Real rblock[BLOCKSIZE]; 
-	float *rvalues;
-	int cnt = 0; int blockcnt = 0;
-	while (getNextElement(token, &tmptyp))
-	{
-		if ((tmptyp == IV_TOKEN_BRACKETOPEN)) 
-			if (!getNextElement(token, &tmptyp)) break;
-		if ((tmptyp == IV_TOKEN_INVALID)) 
-			if (!getNextElement(token, &tmptyp)) break;
-		if (tmptyp == IV_TOKEN_BRACEOPEN) 
-		{
-			actualNode = new IVNode(oldtoken); 
-			if (parent == NULL)
-			{
-				message = "Error loading file "; message = message + fileName + "! Invalid tree structure.";
-				if (IVLog != NULL) IVLog->logMessage(message);
-				fclose(infile);
-				return false;
-			}
-			parent->attachNode(actualNode);
-			parent = actualNode;
-			level++;
-
-			if (def)
-			{
-				addDefToList(defLabel, actualNode);
-				def = false;
-			}
-
-		} else
-		if (tmptyp == IV_TOKEN_BRACECLOSE) 
-		{
-			if (realfield)
-			{
-				if (blockcnt == 0) rvalues = (Ogre::Real *)malloc((cnt)*sizeof(Ogre::Real));
-				else rvalues = (Ogre::Real *)realloc(rvalues, (BLOCKSIZE*(blockcnt) + cnt)*sizeof(Ogre::Real));						
-				memcpy((void *)&rvalues[BLOCKSIZE*blockcnt], rblock, cnt*sizeof(Ogre::Real));
-				fieldNode->addField(fieldtoken, rvalues, BLOCKSIZE*blockcnt+cnt, fieldtyp);
-				realfield = false;
-//				free(rvalues);
-			}
-
-			if (level > 0)
-			{
-				actualNode = parent = actualNode->getParent();
-				level--;
-			}
-		} else
-		{
-			if (oldtmptyp == IV_TOKEN_DEF)
-			{
-				def = true; defLabel = ""; defLabel = defLabel + token;
-			} else
-			if (oldtmptyp == IV_TOKEN_USE)
-			{
-					newNode = new IVNode("USE"); 
-					if (parent == NULL)
-					{
-						message = "Error loading file "; message = message + fileName + "! Invalid tree structure.";
-						if (IVLog != NULL) IVLog->logMessage(message);
-						fclose(infile);
-						return false;
-					}
-					char *s = (char *)malloc(sizeof(char)*(strlen(token)+1));
-					memcpy(s, token, strlen(token));
-					s[strlen(token)] = '\0';
-					newNode->addField("label", s);
-					actualNode->attachNode(newNode);
-			} else
-			if (!def)
-			if (oldtmptyp == IV_TOKEN_STRING)
-			{
-				if (!textfield)
-				{
-					if (tmptyp == IV_TOKEN_STRING)
-					{
-/*						char *s = new char[strlen(token)+1];
-						strcpy(s, token);
-*/						
-						char *s = (char *)malloc(sizeof(char)*(strlen(token)+1));
-						memcpy(s, token, strlen(token));
-						s[strlen(token)] = '\0';
-						actualNode->addField(oldtoken, s);
-//						delete [] s;
-					}
-				}
-				if (!realfield)
-				{
-					if ((tmptyp == IV_TOKEN_REAL) || (tmptyp == IV_TOKEN_INT))
-					{	
-						cnt = 0; blockcnt = 0;
-						char *stopstring;						
-						rblock[0] = strtod(token, &stopstring);
-						cnt++;
-						strcpy(fieldtoken, oldtoken);
-						fieldNode = actualNode;
-					    if (tmptyp == IV_TOKEN_REAL) fieldtyp = IV_REAL;
-						if (tmptyp == IV_TOKEN_INT)	fieldtyp = IV_INT;
-						realfield = true;
-					}
-				}
-				textfield = !textfield;
-			}
-			else 
-			{
-				if (realfield)	
-				{
-					if ((tmptyp == IV_TOKEN_REAL) || (tmptyp == IV_TOKEN_INT))
-					{		
-						char *stopstring;
-						if (cnt >= BLOCKSIZE) 
-						{
-							if (blockcnt == 0) rvalues = (Ogre::Real *)malloc((BLOCKSIZE)*sizeof(Ogre::Real));
-							else rvalues = (Ogre::Real *)realloc(rvalues, (BLOCKSIZE*(blockcnt+1))*sizeof(Ogre::Real));
-							memcpy((void *)&rvalues[BLOCKSIZE*blockcnt], rblock, BLOCKSIZE*sizeof(Ogre::Real));
-							cnt = 0;
-							blockcnt++;
-							
-						}
-						rblock[cnt] = strtod(token, &stopstring);
-						cnt++;
-					    if (tmptyp == IV_TOKEN_REAL) fieldtyp = IV_REAL;
-					}
-					else
-					{
-						if (blockcnt == 0) rvalues = (Ogre::Real *)malloc((cnt)*sizeof(Ogre::Real));
-						else rvalues = (Ogre::Real *)realloc(rvalues, (BLOCKSIZE*(blockcnt) + cnt)*sizeof(Ogre::Real));						
-						memcpy((void *)&rvalues[BLOCKSIZE*blockcnt], rblock, cnt*sizeof(Ogre::Real));
-						fieldNode->addField(fieldtoken, rvalues, BLOCKSIZE*blockcnt+cnt, fieldtyp);
-						realfield = false;
-//						free(rvalues);
-					}
-				}
-				
-				textfield = false;
-			}
-		}
-
-
-		strcpy(oldtoken, token);
-		oldtmptyp = tmptyp;
-	}
-	message = ""; ; message = message + fileName + " loaded.";
-	if (IVLog != NULL) IVLog->logMessage(message);
-	fclose(infile);
-
+
+		triangles.push_back(tri);
+	}
+	
 	return true;
 }
 
-void IVReader::print()
-{
-	if (root != NULL) root->print();
-}
-
-bool IVReader::checkHeader(const char *string)
-{
-	for (int i=0; i < validIVHeaderCnt; i++)
-		if (strcmp(validIVHeader[i], string) == 0) return true;
-	return false;
-}
-bool IVReader::isSpace(char c)
-{
-	if ((c==' ') || (c=='\t')) return true;
-	return false;
-}
-bool IVReader::isNewline(char c)
-{
-	if (c=='\n') return true;
-	return false;
-}
-bool IVReader::isDigit(char c)
-{
-	if ((c>=48) && (c<=57)) return true;
-	return false;
-}
-bool IVReader::isHexDigit(char c)
-{
-	if ( ((c>=48) && (c<=57)) || ((c>=65) && (c<=70)) || ((c>=97) && (c<=102)) ) return true;
-	return false;
-}
-
-
-bool IVReader::getNextElement(char *token, IVTokenType *type)
-{
-	if (eof) return false;
-	bool quoted = false;
-	while (isSpace(buf[bufOffset])) bufOffset++;
-	int i=0;
-	while ((!isSpace(buf[bufOffset])) || (quoted))
-	{
-		if (!quoted)
-		{
-			if (isNewline(buf[bufOffset]) || (buf[bufOffset] == COMMENTCHAR))
-			{
-				token[i] = '\0'; 
-				classify(token, type);
-				bufOffset = 0;
-				if (fgets(buf, BUFFERSIZE, infile) == NULL) 
-				{			
-					eof = true;
-				}
-				if (i==0) return getNextElement(token, type);
-				return true;
-			}
-			if ((buf[bufOffset] == ',') || (buf[bufOffset] == ']'))
-			{
-				token[i] = '\0';
-				bufOffset++;
-				classify(token, type);
-				return true;
-			}
-		
-			
-
-		} else if (isNewline(buf[bufOffset])) {	eof = true;	}
-
-		
-		token[i] = buf[bufOffset]; 
-		i++;
-		if (buf[bufOffset] == '"') 
-		{
-			quoted = !quoted; i--;
-		}
-		bufOffset++;
-
-		
-	}
-	token[i] = '\0';
-	classify(token, type);
-	return true;
-}
-
-void IVReader::classify(char *token, IVTokenType *type)
-{
-	bool isInt = true, isReal = true;
-	if (!isDigit(token[0]) && (token[0] != '-') && (token[0] != '+')) 
-	{
-		isInt = false; 
-		if (token[0] != '.') isReal = false; 
-	}
-	int i = 1;
-	while ((token[i] != '\0') && isReal)
-	{
-		if (isInt && (i!=2) && !isHexDigit(token[i])) 
-		{
-			isInt = false;
-		}
-		if (isInt && (i==2) && !isHexDigit(token[i]) && (token[i] != 'x') && (token[i] != 'X')) isInt = false;
-		if (isReal && (!isDigit(token[i])) && (token[i] != '.') && (token[i] != 'e') && (token[i] != 'E') && (token[i] != 'd') && (token[i] != 'D') && (token[i] != '-') && (token[i] != '+')) isReal = false;
-		i++;
-	}
-	if (isInt) *type = IV_TOKEN_INT; 
-	else if (isReal) *type = IV_TOKEN_REAL;
-	else *type = IV_TOKEN_STRING;
-
-	if (strcmp(token, "DEF") == 0) *type = IV_TOKEN_DEF;
-	if (strcmp(token, "USE") == 0) *type = IV_TOKEN_USE;
-
-	if (token[1] == '\0')
-	{
-		if (token[0] == '{') *type = IV_TOKEN_BRACEOPEN;
-		if (token[0] == '}') *type = IV_TOKEN_BRACECLOSE;
-		if (token[0] == '[') *type = IV_TOKEN_BRACKETOPEN;
-		if (token[0] == ']') *type = IV_TOKEN_BRACKETCLOSE;
-		if (token[0] == '(') *type = IV_TOKEN_PARENTHESISOPEN;
-		if (token[0] == ')') *type = IV_TOKEN_PARENTHESISCLOSE;
-	}
-	if (token[0] == '\0')
-	{
-		*type = IV_TOKEN_INVALID;
-	}
-
-}
-
-/*
-IVNode *IVReader::getNode(const char* name)
-{
-	return root->getNodeRecursive(name);
-}
-*/
-void IVReader::addMeshToList(std::string name, IVManualMeshLoader *loader)
-{	
-	if (meshList == NULL) 
-	{
-		meshList = new IVMeshListNode(name, loader);
-	}
-	else
-	{
-		meshList->attachNewNode(name, loader);
-	}
-}
-
-void IVReader::addDefToList(std::string name, IVNode *node)
-{	
-	if (defList == NULL) 
-	{
-		defList = new IVDefListNode(name, node);
-	}
-	else
-	{
-		defList->attachNewNode(name, node);
-	}
-}
-
-Ogre::Entity *IVReader::createEntity(Ogre::SceneManager* sceneMgr, std::string name, IVMeshData *mData, Ogre::Vector3 *translation)
+
+const std::vector<Ogre::Entity *> &ObjReader::GetObjects() const
+{
+	return mObjects;
+}
+
+
+#if TODO
+
+Ogre::Entity *IVReader::createEntity(Ogre::SceneManager* sceneMgr, std::string name, ObjMeshData *mData, Ogre::Vector3 *translation)
 {
 	using namespace Ogre;
@@ -510,7 +67,7 @@
 	{
 
-		IVMeshData *data = mData->expand();
-
-		IVManualMeshLoader *loader	= new IVManualMeshLoader(data);
+		ObjMeshData *data = mData->expand();
+
+		ObjManualMeshLoader *loader	= new ObjManualMeshLoader(data);
 
 		if (translation != NULL) *translation = data->boundingBox->getCenter();
@@ -544,6 +101,5 @@
 
 
-
-void IVReader::buildTree(Ogre::SceneManager* sceneMgr,  Ogre::SceneNode *sceneNodeRoot)
+void IVReader::buildTree(Ogre::SceneManager* sceneMgr, Ogre::SceneNode *sceneNodeRoot)
 {
 	using namespace Ogre;
@@ -575,5 +131,5 @@
 void IVReader::buildTree(Ogre::SceneManager* sceneMgr,  
 						 Ogre::SceneNode *sceneNodeRoot, 
-						 IVNode *IVReaderoot, IVMeshData *mData, 
+						 ObjNode *IVReaderoot, ObjMeshData *mData, 
 						 Ogre::Material *material)
 {
@@ -585,11 +141,11 @@
 	if (mData == NULL)
 	{
-		mData = new IVMeshData();
+		mData = new ObjMeshData();
 		meshDataCreated = true;
 	}
 
-	IVType t; int i;
-	
-	IVNode *help = IVReaderoot->getNextChildNode(true);
+	ObjType t; int i;
+	
+	ObjNode *help = IVReaderoot->getNextChildNode(true);
 	while (help != NULL)
 	{	
@@ -743,5 +299,5 @@
 			if (t != IV_INT) mData->texCoordIndices = NULL;
 
-			IVNode *n = help->getNextChildNode(true);
+			ObjNode *n = help->getNextChildNode(true);
 			while ((n != NULL) && (strcmp(help->getName(), "VertexProperty") == 0))
 			{
@@ -775,3 +331,3 @@
 	if (meshDataCreated) if (mData != NULL) delete mData;
 }
-
+#endif
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 2105)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 2111)
@@ -286,5 +286,5 @@
 	virtual void GetPrVS(const Vector3 &viewPoint, PrVs &prvs, const float filterWidth);
   
-	/** Get a viewcell containing the specified point 
+	/** Get a viewcell containing the specified view point.
 		@param active if the active or elementary view cell should be returned.
 	*/
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp	(revision 2076)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp	(revision 2111)
@@ -265,5 +265,5 @@
 
 
-bool Preprocessor::LoadBinaryObj(const string filename,
+bool Preprocessor::LoadBinaryObj(const string &filename,
 								 SceneGraphNode *root,
 								 vector<FaceParentInfo> *parents)
@@ -277,12 +277,4 @@
 	cout << "binary obj dump available, loading " << filename.c_str() << endl;
 	
-	// table for vertices
-	VertexContainer vertices; 
-	
-	if (parents)
-		cout << "using face parents" << endl;
-	else
-		cout << "not using face parents" << endl;
-
 	// read in triangle size
 	int numTriangles;
@@ -309,7 +301,5 @@
 		root->mGeometry.push_back(obj);
 		
-		i ++;
-	
-		if (i % 500000 == 499999)
+		if ((i ++) % 500000 == 499999)
 			 cout<<"\r"<<i<<"/"<<numTriangles<<"\r";
 	}
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h	(revision 2105)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h	(revision 2111)
@@ -260,5 +260,5 @@
 protected:
 
-	bool LoadBinaryObj(const string filename,
+	bool LoadBinaryObj(const string &filename,
 					   SceneGraphNode *root,
 					   vector<FaceParentInfo> *parents);
Index: GTP/trunk/Lib/Vis/Preprocessing/src/BoundingBoxConverter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/BoundingBoxConverter.h	(revision 2066)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/BoundingBoxConverter.h	(revision 2111)
@@ -16,6 +16,6 @@
 };
 
-/** Class used to assign unique indices to objects using a 
-	comparison of bounding boxes.
+/** This class assigns unique indices to objects by
+    comparing bounding boxes.
 */
 class BoundingBoxConverter
Index: GTP/trunk/Lib/Vis/Preprocessing/manual/integration.aux
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/manual/integration.aux	(revision 2104)
+++ GTP/trunk/Lib/Vis/Preprocessing/manual/integration.aux	(revision 2111)
@@ -20,10 +20,10 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Intersectable}{4}}
 \newlabel{sec:intersectable}{{5.1}{4}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Bounding Box Converter}{4}}
-\newlabel{sec:Converter}{{5.2}{4}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Bounding Box Converter}{5}}
+\newlabel{sec:Converter}{{5.2}{5}}
 \@writefile{toc}{\contentsline {section}{\numberline {6}View Cells Usage}{7}}
 \newlabel{sec:usage}{{6}{7}}
 \@setckpt{integration}{
-\setcounter{page}{8}
+\setcounter{page}{9}
 \setcounter{equation}{0}
 \setcounter{enumi}{0}
Index: GTP/trunk/Lib/Vis/Preprocessing/manual/manual.ilg
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/manual/manual.ilg	(revision 2068)
+++ GTP/trunk/Lib/Vis/Preprocessing/manual/manual.ilg	(revision 2111)
@@ -1,4 +1,4 @@
-This is D:\texmf\MiKTeX\bin\makeindex.exe, version 2.14 [02-Oct-2002] (with Thai support).
-Scanning input file D:\svn\gametools\GTP\trunk\Lib\Vis\Preprocessing\manual\manual.idx...done (0 entries accepted, 0 rejected).
-Nothing written in D:\svn\gametools\GTP\trunk\Lib\Vis\Preprocessing\manual\manual.ind.
-Transcript written in D:\svn\gametools\GTP\trunk\Lib\Vis\Preprocessing\manual\manual.ilg.
+This is C:\texmf\MiKTeX\bin\makeindex.exe, version 2.14 [02-Oct-2002] (with Thai support).
+Scanning input file E:\svn\gametools\GTP\trunk\Lib\Vis\Preprocessing\manual\manual.idx...done (0 entries accepted, 0 rejected).
+Nothing written in E:\svn\gametools\GTP\trunk\Lib\Vis\Preprocessing\manual\manual.ind.
+Transcript written in E:\svn\gametools\GTP\trunk\Lib\Vis\Preprocessing\manual\manual.ilg.
Index: GTP/trunk/Lib/Vis/Preprocessing/manual/manual.toc
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/manual/manual.toc	(revision 2104)
+++ GTP/trunk/Lib/Vis/Preprocessing/manual/manual.toc	(revision 2111)
@@ -9,4 +9,4 @@
 \contentsline {section}{\numberline {5}Example Implementation}{4}
 \contentsline {subsection}{\numberline {5.1}Intersectable}{4}
-\contentsline {subsection}{\numberline {5.2}Bounding Box Converter}{4}
+\contentsline {subsection}{\numberline {5.2}Bounding Box Converter}{5}
 \contentsline {section}{\numberline {6}View Cells Usage}{7}
